changeset 277:ffef8c1fe240

Build distcc on host if it's not already installed.
author Rob Landley <rob@landley.net>
date Wed, 30 Jan 2008 21:37:51 -0600
parents b3054103cdd7
children f878f79763c7
files host-tools.sh
diffstat 1 files changed, 13 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/host-tools.sh	Wed Jan 30 21:37:21 2008 -0600
+++ b/host-tools.sh	Wed Jan 30 21:37:51 2008 -0600
@@ -49,6 +49,19 @@
   [ $? -ne 0 ] && dienow
 fi
 
+# Build distcc
+if [ -z "$(which distcc)" ]
+then
+  setupfor distcc &&
+  ./configure --with-included-popt &&
+  make -j "$CPUS" &&
+  cp distcc distccd "${HOSTTOOLS}" &&
+  cd .. &&
+  $CLEANUP distcc
+
+  [ $? -ne 0 ] && dienow
+fi
+
 # As a temporary measure, build User Mode Linux and use _that_ to package
 # the ext2 image to boot qemu with.